ata_sg_setup_one
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_sg_setup_one — DMA-map the memory buffer associated with a command.

## Synopsis

`int ata_sg_setup_one (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Command with memory buffer to be mapped.

## Description

DMA-map the memory buffer associated with queued_cmd `qc`.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, negative on error.

Prev | Up | Next
ata_check_atapi_dma | Home | ata_sg_setup